# Filtrator Interface Reference
[Tools for primitive's filtration, Classes implemented in PHP's extension.]

Interface for primitive's filters. More...

Inheritance diagram for Filtrator:
[legend]

List of all members.

## Public Member Functions

| apply ($value)

## Detailed Description

Interface for primitive's filters.

See also:
  FiltrablePrimitive::getDisplayValue()

Definition at line 20 of file Filtrator.class.php.

## Member Function Documentation

Filtrator::apply | ( | $ | value | ) |

Implemented in CropFilter, FilterChain, HashFilter, NormalizeUrlFilter, PCREFilter, StringReplaceFilter, StripTagsFilter, TrimFilter, and WordSplitterFilter.

The documentation for this interface was generated from the following file:

- core/Form/Filters/Filtrator.class.php